%global pypi_name sphinxcontrib-svg2pdfconverter

Name:		python-%{pypi_name}
Version:	1.2.3
Release:	%mkrel 2
Summary:	Sphinx SVG to PDF Converter Extension
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/sphinxcontrib-svg2pdfconverter/
Source0:	%{pypi_source sphinxcontrib_svg2pdfconverter}
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-sphinx

%description
Converts SVG images to PDF in case the builder does not support SVG images
native (e.g. LaTeX).

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3dist(sphinx)

%description -n python3-%{pypi_name}
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains common files.

%package -n python3-sphinxcontrib-inkscapeconverter
Summary:	Sphinx SVG to PDF Converter Extension using Inkscape
Group:		Development/Python
%{?python_provide:%python_provide python3-sphinxcontrib-inkscapeconverter}
Requires:	python3-%{pypi_name} = %{version}-%{release}
Requires:	inkscape

%description -n python3-sphinxcontrib-inkscapeconverter
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains converter using Inkscape.

%package -n python3-sphinxcontrib-rsvgconverter
Summary:	Sphinx SVG to PDF Converter Extension using libRSVG
Group:		Development/Python
%{?python_provide:%python_provide python3-sphinxcontrib-rsvgconverter}
Requires:	python3-%{pypi_name} = %{version}-%{release}
Requires:	librsvg

%description -n python3-sphinxcontrib-rsvgconverter
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains converter using libRSVG.

%prep
%autosetup -n sphinxcontrib_svg2pdfconverter-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

#we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_svg2pdfconverter-%{version}-py%{python3_version}-nspkg.pth

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/sphinxcontrib_svg2pdfconverter-%{version}.dist-info

%files -n python3-sphinxcontrib-inkscapeconverter
%dir %{python3_sitelib}/sphinxcontrib/__pycache__
%{python3_sitelib}/sphinxcontrib/__pycache__/inkscapeconverter.*
%{python3_sitelib}/sphinxcontrib/inkscapeconverter.py*

%files -n python3-sphinxcontrib-rsvgconverter
%dir %{python3_sitelib}/sphinxcontrib/__pycache__
%{python3_sitelib}/sphinxcontrib/__pycache__/rsvgconverter.*.*
%{python3_sitelib}/sphinxcontrib/rsvgconverter.py*
%{python3_sitelib}/sphinxcontrib/__pycache__/cairosvgconverter.*.*
%{python3_sitelib}/sphinxcontrib/cairosvgconverter.py*


%changelog
* Fri Feb 21 2025 wally <wally> 1.2.3-2.mga10
+ Revision: 2150628
- rebuild for python3.13

* Fri Dec 20 2024 daviddavid <daviddavid> 1.2.3-1.mga10
+ Revision: 2126643
- new version: 1.2.3
- switch to pyproject

* Thu Dec 07 2023 wally <wally> 1.2.1-2.mga10
+ Revision: 2015104
- rebuild for py3.12

* Mon Oct 24 2022 ghibo <ghibo> 1.2.1-1.mga9
+ Revision: 1898984
- Update to release 1.2.1

* Tue Mar 29 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1832937
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 tv <tv> 1.2.0-1.mga9
+ Revision: 1787049
- Fix filelist for python-3.10
- Disable testsuite
- 1.2.0
- Rebuild for python-3.10

* Sun Apr 11 2021 wally <wally> 1.1.1-2.mga9
+ Revision: 1714695
- rebuild for python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 1.1.1-1.mga9
+ Revision: 1697576
- new version 1.1.1

* Sun Sep 13 2020 ghibo <ghibo> 1.1.0-1.mga8
+ Revision: 1625485
- Fix filelist
- Update to release 1.1.0

* Tue Feb 18 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1539783
- Mageia 8 Mass Rebuild

* Fri Dec 13 2019 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1466126
- new version: 1.0.1

* Fri Sep 27 2019 daviddavid <daviddavid> 0.1.0-3.mga8
+ Revision: 1447441
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 0.1.0-2.mga8
+ Revision: 1427258
- drop python2 support

* Fri Apr 19 2019 ghibo <ghibo> 0.1.0-1.mga7
+ Revision: 1393518
- imported package python-sphinxcontrib-svg2pdfconverter


* Tue Apr 02 2019 ghibo <ghibo> 0.1.0-1.mga7
- Initial release.
